Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Attributes
openvrml::gl::viewer::event_info Struct Reference

Input event. More...

List of all members.

## Public Attributes

event_type | event
| Event type.
int | what
| Key or button number.
int | x
| x-coordinate (for mouse events).
int | y
| y-coordinate (for mouse events).

## Detailed Description

Input event.

## Member Data Documentation

openvrml::gl::viewer::event_type openvrml::gl::viewer::event_info::event

Event type.

int openvrml::gl::viewer::event_info::what

Key or button number.

int openvrml::gl::viewer::event_info::x

x-coordinate (for mouse events).

int openvrml::gl::viewer::event_info::y

y-coordinate (for mouse events).